<?php
$host = "localhost";
$user = "root";
$pass = "";
$db = "sismag";
$port = 3307; // ou 3307 se o MySQL do XAMPP estiver nessa porta

$conn = new mysqli($host, $user, $pass, $db, $port);

if ($conn->connect_error) {
    die("Erro de conexão: " . $conn->connect_error);
}

// CORREÇÃO CRÍTICA: GARANTE A COMUNICAÇÃO UTF-8 (para acentuação correta)
if (!$conn->set_charset("utf8mb4")) {
    // Código de erro opcional
}

?>